Package fr.gouv.vitam.common.model.processing

# Class Distribution

java.lang.Object
fr.gouv.vitam.common.model.processing.Distribution

public class Distribution extends Object
Distribution object in each step of workflow processing

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Distribution()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getBulkSize()`
  `String`
  `getElement()`
  getElement(), return the element of Distribution
  `DistributionKind`
  `getKind()`
  getKind(), get the object kind
  `StatusCode`
  `getStatusOnEmptyDistribution()`
  Get the status to be used in the logbook if no distribution occurred
  `DistributionType`
  `getType()`
  get the type of the distribution
  `Distribution`
  `setBulkSize(Integer bulkSize)`
  `Distribution`
  `setElement(String element)`
  setElement, set the value of element
  `Distribution`
  `setKind(DistributionKind kind)`
  setKind, set the kind of Distribution object
  `Distribution`
  `setStatusOnEmptyDistribution(StatusCode statusOnEmptyDistribution)`
  Set the status to be used in the logbook if no distribution occurred
  `Distribution`
  `setType(DistributionType type)`
  set the type of the distribution

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Distribution

    public Distribution()

- ## Method Details

  - ### getKind

    public DistributionKind getKind()
    getKind(), get the object kind
    Returns:
      the reference of DistributionKind

  - ### setKind

    public Distribution setKind(DistributionKind kind)
    setKind, set the kind of Distribution object
    Parameters:
      `kind` - of DistributionKind
    Returns:
      Distribution object with kind setted

  - ### getElement

    public String getElement()
    getElement(), return the element of Distribution
    Returns:
      the element as String

  - ### setElement

    public Distribution setElement(String element)
    setElement, set the value of element
    Parameters:
      `element` - as String
    Returns:
      Distribution instance with element setted

  - ### getType

    public DistributionType getType()
    get the type of the distribution
    Returns:
      Distribution instance with element setted

  - ### setType

    public Distribution setType(DistributionType type)
    set the type of the distribution
    Parameters:
      `type` - the type of the distribution
    Returns:
      Distribution instance with element setted

  - ### getStatusOnEmptyDistribution

    public StatusCode getStatusOnEmptyDistribution()
    Get the status to be used in the logbook if no distribution occurred
    Returns:
      StatusCode

  - ### setStatusOnEmptyDistribution

    public Distribution setStatusOnEmptyDistribution(StatusCode statusOnEmptyDistribution)
    Set the status to be used in the logbook if no distribution occurred
    Parameters:
      `statusOnEmptyDistribution` -
    Returns:
      Distribution instance with element setted

  - ### getBulkSize

    public Integer getBulkSize()
    Returns:
      bulkSize

  - ### setBulkSize

    public Distribution setBulkSize(Integer bulkSize)
    Parameters:
      `bulkSize` - bulkSize
    Returns:
      the distribution